<nav class="navbar navbar-expand-lg navbar-dark bg-primary">
    <div class="container-fluid">
      <a class="navbar-brand" href="#">Ebank-02.00.00</a>
      <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
      data-bs-target="#navbarNavAltMarkup" aria-controls="navbarNavAltMarkup" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
        <div class="navbar-nav">

          <a *ngIf="GlobalConstants.appUserRole=='ROLE_AGENT_GUICHET'" class="nav-link"
             routerLink="clients">Clients</a>

          <a *ngIf="GlobalConstants.appUserRole=='ROLE_AGENT_GUICHET'" class="nav-link"
             routerLink="comptes">Comptes</a>
          <a *ngIf="GlobalConstants.appUserRole=='ROLE_CLIENT'" class="nav-link" routerLink="operation">Operations</a>
          <a *ngIf="GlobalConstants.appUserRole=='ROLE_CLIENT'" class="nav-link"  routerLink="dashboard">Dashboard</a>
          <a class="nav-link" routerLink="password">Changer password</a>
          <a class="nav-link"  href="#">Username : {{GlobalConstants.appUser}}</a>
          <a class="nav-link"  href="#">Role : {{GlobalConstants.appUserRole}}</a>
          <a class="nav-link"  href="#">Token by minutes : {{GlobalConstants.JWT_TOKEN_EXPIRATION_DURATION}}</a>


        </div>
      </div>
    </div>
  </nav>
<div>
  <div id="warning-authentication-alert" *ngIf="GlobalConstants.EXPIRED_AUTHENTICATION_STATUS"
       class="alert alert-warning alert-dismissible fade show" role="alert">
    <strong>Warning Authentication</strong> {{ GlobalConstants.WARNING_AUTHENTICATION_MESSAGE }}.
    <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
  </div>
</div>
  <div class="container-xxl">
    <router-outlet></router-outlet>
  </div>
